rh-ruby24-ruby-devel-2.4.6-92.el7.x86_64.rpm


Advertisement

Description

rh-ruby24-ruby-devel - A Ruby development environment

Property Value
Distribution CentOS 7
Repository CentOS SCLo RH x86_64
Package filename rh-ruby24-ruby-devel-2.4.6-92.el7.x86_64.rpm
Package name rh-ruby24-ruby-devel
Package version 2.4.6
Package release 92.el7
Package architecture x86_64
Package type rpm
Category Development/Languages
Homepage http://ruby-lang.org/
License (Ruby or BSD) and Public Domain and MIT and CC0 and zlib and UCD
Maintainer -
Download size 117.36 KB
Installed size 284.39 KB
Header files and libraries for building an extension library for the
Ruby or an application embedding Ruby.

Alternatives

Package Version Architecture Repository
rh-ruby24-ruby-devel-2.4.6-92.el7.x86_64.rpm 2.4.6 x86_64 CentOS SCLo RH Testing
rh-ruby24-ruby-devel-2.4.5-91.sc1.el7.x86_64.rpm 2.4.5 x86_64 CentOS SCLo RH Testing
rh-ruby24-ruby-devel-2.4.5-91.sc1.el7.x86_64.rpm 2.4.5 x86_64 CentOS SCLo RH
rh-ruby24-ruby-devel-2.4.3-90.el7.x86_64.rpm 2.4.3 x86_64 CentOS SCLo RH Testing
rh-ruby24-ruby-devel-2.4.3-90.el7.x86_64.rpm 2.4.3 x86_64 CentOS SCLo RH
rh-ruby24-ruby-devel-2.4.0-75.el7.x86_64.rpm 2.4.0 x86_64 CentOS SCLo RH Testing
rh-ruby24-ruby-devel-2.4.0-75.el7.x86_64.rpm 2.4.0 x86_64 CentOS SCLo RH
rh-ruby24-ruby-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
libruby.so.2.4()(64bit) -
rh-ruby24-ruby(x86-64) = 2.4.6-92.el7
rh-ruby24-runtime -

Provides

Name Value
config(rh-ruby24-ruby-devel) = 2.4.6-92.el7
pkgconfig(ruby) = 2.4.6
rh-ruby24-ruby-devel = 2.4.6-92.el7
rh-ruby24-ruby-devel(x86-64) = 2.4.6-92.el7
scl-package(rh-ruby24) -

Download

Type URL
Mirror mirror.centos.org
Binary Package rh-ruby24-ruby-devel-2.4.6-92.el7.x86_64.rpm
Source Package rh-ruby24-ruby-2.4.6-92.el7.src.rpm

Install Howto

  1. Install CentOS SCLo RH repository:
    yum install centos-release-scl-rh
  2. Install rh-ruby24-ruby-devel rpm package:
    # yum install rh-ruby24-ruby-devel

Files

Path
/etc/rpm/macros.ruby.rh-ruby24
/opt/rh/rh-ruby24/root/usr/include/ruby.h
/opt/rh/rh-ruby24/root/usr/include/ruby/backward.h
/opt/rh/rh-ruby24/root/usr/include/ruby/config-x86_64.h
/opt/rh/rh-ruby24/root/usr/include/ruby/config.h
/opt/rh/rh-ruby24/root/usr/include/ruby/debug.h
/opt/rh/rh-ruby24/root/usr/include/ruby/defines.h
/opt/rh/rh-ruby24/root/usr/include/ruby/digest.h
/opt/rh/rh-ruby24/root/usr/include/ruby/encoding.h
/opt/rh/rh-ruby24/root/usr/include/ruby/intern.h
/opt/rh/rh-ruby24/root/usr/include/ruby/io.h
/opt/rh/rh-ruby24/root/usr/include/ruby/missing.h
/opt/rh/rh-ruby24/root/usr/include/ruby/onigmo.h
/opt/rh/rh-ruby24/root/usr/include/ruby/oniguruma.h
/opt/rh/rh-ruby24/root/usr/include/ruby/re.h
/opt/rh/rh-ruby24/root/usr/include/ruby/regex.h
/opt/rh/rh-ruby24/root/usr/include/ruby/ruby.h
/opt/rh/rh-ruby24/root/usr/include/ruby/st.h
/opt/rh/rh-ruby24/root/usr/include/ruby/subst.h
/opt/rh/rh-ruby24/root/usr/include/ruby/thread.h
/opt/rh/rh-ruby24/root/usr/include/ruby/thread_native.h
/opt/rh/rh-ruby24/root/usr/include/ruby/util.h
/opt/rh/rh-ruby24/root/usr/include/ruby/version.h
/opt/rh/rh-ruby24/root/usr/include/ruby/vm.h
/opt/rh/rh-ruby24/root/usr/include/ruby/backward/classext.h
/opt/rh/rh-ruby24/root/usr/include/ruby/backward/rubyio.h
/opt/rh/rh-ruby24/root/usr/include/ruby/backward/rubysig.h
/opt/rh/rh-ruby24/root/usr/include/ruby/backward/st.h
/opt/rh/rh-ruby24/root/usr/include/ruby/backward/util.h
/opt/rh/rh-ruby24/root/usr/lib64/libruby.so
/opt/rh/rh-ruby24/root/usr/lib64/pkgconfig/ruby.pc
/opt/rh/rh-ruby24/root/usr/share/licenses/rh-ruby24-ruby-devel-2.4.6/BSDL
/opt/rh/rh-ruby24/root/usr/share/licenses/rh-ruby24-ruby-devel-2.4.6/COPYING
/opt/rh/rh-ruby24/root/usr/share/licenses/rh-ruby24-ruby-devel-2.4.6/COPYING.ja
/opt/rh/rh-ruby24/root/usr/share/licenses/rh-ruby24-ruby-devel-2.4.6/GPL
/opt/rh/rh-ruby24/root/usr/share/licenses/rh-ruby24-ruby-devel-2.4.6/LEGAL

Changelog

2019-04-11 - Jun Aruga <jaruga@redhat.com> - 2.4.6-92
- Upgrade to Ruby 2.4.6.
- Delete directory using symlink when decompressing tar
Resolves: CVE-2019-8320
- Fix escape sequence injection vulnerability in verbose.
Resolves: CVE-2019-8321
- Fix escape sequence injection vulnerability in gem owner.
Resolves: CVE-2019-8322
- Fix escape sequence injection vulnerability in API response handling.
Resolves: CVE-2019-8323
- Prohibit arbitrary code execution when installing a malicious gem.
Resolves: CVE-2019-8324
- Fix escape sequence injection vulnerability in errors.
Resolves: CVE-2019-8325
2018-11-05 - Pavel Valena <pvalena@redhat.com> - 2.4.5-91
- Upgrade to Ruby 2.4.5.
Resolves: CVE-2018-16395
Resolves: rhbz#1563077
Removed Patch10: ruby-2.5.0-Disable-Tokyo-TZ-tests.patch; subsumed
- Properly harden package using -fstack-protector-strong.
- Fix: return default path with nonexistent home dir(rhbz#1602879)
2018-03-12 - Pavel Valena <pvalena@redhat.com> - 2.4.3-90
- Command injection in lib/resolv.rb:lazy_initialize() allows arbitrary code
execution(CVE-2017-17790).
* ruby-2.5.0-Fixed-command-Injection.patch
Related: rhbz#1549651
2018-02-12 - Pavel Valena <pvalena@redhat.com> - 2.4.3-89
- Upgrade to Ruby 2.4.3.
Resolves: rhbz#1549651
Resolves: CVE-2017-17405
* Remove Patch10: ruby-2.4.3-CVE-2017-0903-Fix-unsafe-object-deserialization
-vulnerability.patch
subsumed
2017-10-30 - Vít Ondruch <vondruch@redhat.com> - 2.4.2-86
- Upgrade to Ruby 2.4.2.
* Remove Patch10: ruby-2.4.0-vm_insnhelper.c-block-argument-at-tailcall.patch;
subsumed
Resolves: rhbz#1506785
- Fix unsafe object deserialization in RubyGems (CVE-2017-0903).
* ruby-2.4.3-CVE-2017-0903-Fix-unsafe-object-deserialization
-vulnerability.patch
Resolves: CVE-2017-0903
2017-01-17 - Vít Ondruch <vondruch@redhat.com> - 2.4.0-75
- Apply patch fixing rubygem-mongo build failures.
2017-01-09 - Vít Ondruch <vondruch@redhat.com> - 2.4.0-73
- Reshuffle the %license macro to avoid %postun scriptlet issues.
Resolves: rhbz#1411233
2017-01-09 - Vít Ondruch <vondruch@redhat.com> - 2.4.0-72
- Add rubygem-io-console dependency for rubygem-rdoc.
2017-01-02 - Vít Ondruch <vondruch@redhat.com> - 2.4.0-71
- ruby-libs should not own links to unbundled gems.
2017-01-02 - Vít Ondruch <vondruch@redhat.com> - 2.4.0-70
- Upgrade to Ruby 2.4.0.
- Workaround "an invalid stdio handle" error on PPC (rhbz#1361037).
- Add gemspec_add_dep and gemspec_remove_dep macros.
- Move gemified xmlrpc into subpackage.
- Move gemified openssl into subpackage.
- Make symlinks for json gem.
- Tk is removed from stdlib.
- Harden package.
- Extend 'gem_' macros for pre-release version support.

See Also

Package Description
rh-ruby24-ruby-doc-2.4.0-75.el7.noarch.rpm Documentation for ruby
rh-ruby24-ruby-doc-2.4.3-90.el7.noarch.rpm Documentation for ruby
rh-ruby24-ruby-doc-2.4.5-91.sc1.el7.noarch.rpm Documentation for ruby
rh-ruby24-ruby-doc-2.4.6-92.el7.noarch.rpm Documentation for ruby
rh-ruby24-ruby-irb-2.4.0-75.el7.noarch.rpm The Interactive Ruby
rh-ruby24-ruby-irb-2.4.3-90.el7.noarch.rpm The Interactive Ruby
rh-ruby24-ruby-irb-2.4.5-91.sc1.el7.noarch.rpm The Interactive Ruby
rh-ruby24-ruby-irb-2.4.6-92.el7.noarch.rpm The Interactive Ruby
rh-ruby24-ruby-libs-2.4.0-75.el7.x86_64.rpm Libraries necessary to run Ruby
rh-ruby24-ruby-libs-2.4.3-90.el7.x86_64.rpm Libraries necessary to run Ruby
rh-ruby24-ruby-libs-2.4.5-91.sc1.el7.x86_64.rpm Libraries necessary to run Ruby
rh-ruby24-ruby-libs-2.4.6-92.el7.x86_64.rpm Libraries necessary to run Ruby
rh-ruby24-rubygem-bigdecimal-1.3.0-75.el7.x86_64.rpm BigDecimal provides arbitrary-precision floating point decimal arithmetic
rh-ruby24-rubygem-bigdecimal-1.3.0-90.el7.x86_64.rpm BigDecimal provides arbitrary-precision floating point decimal arithmetic
rh-ruby24-rubygem-bigdecimal-1.3.2-91.sc1.el7.x86_64.rpm BigDecimal provides arbitrary-precision floating point decimal arithmetic
Advertisement
Advertisement